{
  imports = [
    ./hardware-configuration.nix
    ../../modules/mailman.nix
    ../../roles
    ../../roles/vm.nix
  ];

  # System configuration here

  services.mathebau-mailman = {
    enable = true;
    hostName = "lists.mathebau.de";
    siteOwner = "root@mathebau.de";
  };

  networking.hostName = "lobon";
  system.stateVersion = "23.11";

  sops.secrets = {
    allowlistPass = {
      sopsFile = ./allowlistPass.secrets.yaml;
      owner = "mailman";
      group = "mailman";
      mode = "0400";
    };
    backupKey = {
      sopsFile = ./backupKey.secrets.yaml;
      owner = "root";
      group = "root";
      mode = "0400";
    };
  };
}
